> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/mutations/pause-subscription.md).

# pauseSubscription

You can optionally pass in a time at which the subscription will be resumed. All automatic charging and invoice generation and order generation is put on hold for a paused subscription. Maximum contract terms automatically shift forward on each billing cycle.

### Arguments

| Argument                                                                                          | Description                      |
| ------------------------------------------------------------------------------------------------- | -------------------------------- |
| input ([PauseSubscriptionInput](/graphql-api/api-reference/objects/pause-subscription-input.md)!) | Parameters for PauseSubscription |

### PauseSubscriptionInput Arguments

| Argument                                                                                 | Description                                                  |
| ---------------------------------------------------------------------------------------- | ------------------------------------------------------------ |
| id ([ID](/graphql-api/api-reference/objects/id.md)!)                                     | ID of the subscription to pause.                             |
| pauseUntil ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md)) | Time from which the subscription automaticaly resumes again. |

### Return fields

#### errors (\[[ModelValidationError](/graphql-api/api-reference/objects/model-validation-error.md)!]!)

#### subscription ([Subscription](/graphql-api/api-reference/objects/subscription.md))


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/mutations/pause-subscription.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
